<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE log4j:configuration PUBLIC "-//APACHE//DTD LOG4J 1.2//EN" "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">

    <!-- Append messages to the console. -->
    <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <!-- Pattern: Timestamp [Priority] Class.Method() [Thread] Message\n. -->
            <param name="ConversionPattern" value="%d{HH:mm:ss} [%-5p] %c{1}.%M() %m%n"/>
        </layout>
    </appender>

    <!-- Limit the ee.bcs.valiit.bank category to DEBUG. -->
    <category name="ee.bcs.valiit.bank">
        <priority value="DEBUG"/>
    </category>

    <!-- Setup the root category. -->
    <root>
        <priority value="INFO"/>
        <appender-ref ref="CONSOLE"/>
    </root>

</log4j:configuration>
